/*-------------------------------*/

/*           Wrappers            */

/*-------------------------------*/
#wrapper {
	width: 100%;
	height: 100%;
	margin-left: 0;
	transition: all 0.3s ease;
}

#wrapper.toggled {
	margin-left: -220px;
}

#sidebar-wrapper {
	z-index: 1000;
	left: auto;
	right: 0;
	width: 0;
	height: 100%;
	background: #1a1a1a;
	transition: all 0.3s ease;
}

#sidebar-wrapper::-webkit-scrollbar {
	display: none;
}

#wrapper.toggled #sidebar-wrapper {
	width: 220px;
	overflow-y: auto;
	overflow-x: hidden;
}

#page-content-wrapper {
	width: 100%;
	height: 100%;
}

/*-------------------------------*/

/*     Sidebar nav styles        */

/*-------------------------------*/
.sidebar-nav {
	position: absolute;
	top: 0;
	width: 220px;
	margin: 0;
	padding: 0;
	list-style: none;
}

.sidebar-nav li {
	position: relative;
	line-height: 20px;
	display: inline-block;
	width: 100%;
}

.sidebar-nav li:before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	z-index: -1;
	height: 100%;
	width: 3px;
	background-color: #1c1c1c;
	transition: width 0.2s ease-in;
}

.dropdown-header { color:#C2C2C2;}

.sidebar-nav li a {
	display: block;
	color: #ddd;
	text-decoration: none;
	padding: 10px 15px 10px 30px;
}

.sidebar-nav li a:hover,
.sidebar-nav li a:active,
.sidebar-nav li a:focus,
.sidebar-nav li.open a:hover,
.sidebar-nav li.open a:active,
.sidebar-nav li.open a:focus {
	color: #fff;
	text-decoration: none;
	background-color: transparent;
}

.sidebar-nav > .sidebar-brand {
	height: 65px;
	font-size: 20px;
	line-height: 44px;
}

.sidebar-nav .dropdown-menu {
	position: relative;
	width: 100%;
	padding: 0;
	margin: 0;
	border-radius: 0;
	border: none;
	background-color: #222;
	box-shadow: none;
}

/*-------------------------------*/

/*       Hamburger-Cross         */

/*-------------------------------*/
.hamburger {
	float: right;
	padding:26px 29px;
	height:70px;
	cursor: pointer;
	background-color:#EEEEEE;
	border-right:1px solid #DBDBDB;
}

.hamburger.is-open {
	background-color:transparent;
	border:0;
	padding:10px;
}
.hamburger .hamb-top,
.hamburger .hamb-middle,
.hamburger .hamb-bottom {
	width: 26px;
	height: 2px;
	background-color: #666;
}
@media (max-width: 990px){
	.hamburger { height:50px; padding:17px 12px;}
	.hamburger .hamb-top,
	.hamburger .hamb-middle,
	.hamburger .hamb-bottom {
		width: 18px;
	}
}
.hamburger .hamb-top,
.hamburger .hamb-middle {
	margin-bottom: 5px;
}

.hamburger.is-open {
	position: absolute;
	top: 22px;
	z-index: 9999;
	right: 220px;
}

@media (max-width: 768px){
	.hamburger.is-open {
		top: 16px;
		right:234px;
	}
}
.hamburger.is-open .hamb-top {
	transform: rotate(-45deg) translate(-3px, 3px);
	-webkit-transform: rotate(-45deg) translate(-3px, 3px);
	background-color: #fff;
	transition: 0.7s ease;
}

.hamburger.is-open .hamb-middle {
	opacity: 0;
	background-color: #fff;
}

.hamburger.is-open .hamb-bottom {
	transform: rotate(45deg) translate(-7px, -7px);
	-webkit-transform: rotate(45deg) translate(-7px, -7px);
	background-color: #fff;
	transition: 0.7s ease;
}



/*-------------------------------*/

/*            Overlay            */

/*-------------------------------*/
.overlay {
	position: fixed;
	display: none;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: rgba(0, 0, 0, .7);
	z-index: 2;
}